<?php 

//@UTF-8 install_step2.php
/*
 * KISA WEB Security Template(KWST) - PHP Version
 * 
 * Author : neodal <mirr1004@gmail.com>
 *
 * Last modified Oct 29 2007
 *
 */

/* 인증 및 설치 검사 예외 페이지 */
$exception['check_installed'] = TRUE;
$exception['check_authorized'] = TRUE;

include_once("kwst_admin_lib.php");

/* 설치 여부 판단 */
if (file_exists("kwst_policy.php"))
	html_msgback("KWST 웹보안템플릿 - PHP 버전이 이미 설치되어 있습니다.");

if (!isset($_SESSION['kwst_install']))
	html_msgmove("install.php 설치 초기 페이지로 접근하십시오.", "install.php");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta http-equiv"=Content-Type" content="text/html; charset=UTF-8">
    <link rel="StyleSheet" HREF="style.css" type="text/css" title="style">
    <title>KWST 웹보안템플릿 - 설치 2단계</title>
  </head>
  <body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="#D0D0D0">
    <br><br><br>
    <center>
      <table width="600" height="80" cellspacing="0" cellpadding="0" border="0">
        <tr>
          <td width="100%" height="80">
            <img src="img/logo2.gif" border="0" alt="LOGO">
          </td>
        </tr>
        <tr>
          <td>
            <form name="step2" action="install_step2_submit.php" method="post">
            <table width="600" cellspacing="1" cellpadding="20" border="0" bgcolor="#000000"
              <tr>
                <td width="100%" bgcolor="#FFFFFF" style="line-height:160%" nowrap>
                  <li><b>KWST 웹보안템플릿 문자셋(charset) 환경을 설정합니다.</b><br>
                  <br>
                  ※ <b>UTF-8</b>: 서버 및 웹 페이지 설정이 UTF-8인 경우(기본)<br>
                  ※ <b>eucKR</b>: 서버 및 웹 페이지 설정이 eucKR인 경우<br>
                </td>
              </tr>
            </table>
            <br><br>
            <center>
            <table width="300" cellspacing="1" cellpadding="5" border="0" bgcolor="#808080">
              <tr height="30">
                <td width="100" bgcolor="#C0C0C0" align="right"><b><font color="#404040">문자셋</font></b></td>
                <td width="200" colspan="3" bgcolor="#FFFFFF">
                  <input type="radio" name="site_charset" value="UTF-8" checked>UTF-8
                  <input type="radio" name="site_charset" value="eucKR">eucKR
                </td>
              </tr>
            </table>
            <br><br>
            <b><font color="red">※ 주의: 문자셋이 잘못 설정되어 있는 경우 글자가 깨질 수 있습니다.</font></b>
            <br><br>
            </center>
            <table width="100%" height="1">
              <tr>
                <td width="100%" height="100%" background="img/line_bg.gif"></td>
              </tr>
            </table>
            <input type="submit" value="다음 단계로(Next).." class="submit" style="height:20px;">
            </form>
          </td>
        </tr>
      </table>
    </center>
  </body>
</html>
