<?php 

//@UTF-8 install_step3_submit.php
/*
 * KISA WEB Security Template(KWST) - PHP Version
 * 
 * Author : neodal <mirr1004@gmail.com>
 *
 * Last modified Oct 29 2007
 *
 */

/* 인증 및 설치 검사 예외 페이지 */
$exception['check_installed'] = TRUE;
$exception['check_authorized'] = TRUE;

include_once("kwst_admin_lib.php");

	// 정책 리스트 목록
$LIST['sql_injection'] = array(
				"[0-9a-zA-Z]+[']", 
				"['][0-9a-zA-Z]+", 
				"delete[[:space:]]+from", 
				"drop[[:space:]]+database", 
				"drop[[:space:]]+table", 
				"drop[[:space:]]+column", 
				"drop[[:space:]]+procedure", 
				"create[[:space:]]+table", 
				"update[[:space:]]+.*[[:space:]]+set", 
				"insert[[:space:]]+into.*[[:space:]]+values", 
				"select[[:space:]]+.*[[:space:]]+from", 
				"bulk[[:space:]]+insert", 
				"union[[:space:]]+select", 
				"or.+1[[:space:]]*=[[:space:]]*1", 
				"alter[[:space:]]+table", 
				"into[[:space:]]+outfile", 
				"load[[:space:]]+data", 
				"[AND|OR|XOR|NAND|NOT|\|\||\&\&]+[[:space:]]*[#|/\*]+",
				"[[:space:]]+[AND|OR|XOR|NAND|NOT|\|\||\&\&][[:space:]]+", 
				"/\**\*/", 
				".['\"]", 
				"--"
			);

$LIST['xss'] = array(
				"<script", 
				"javascript:", 
				"script/src[[:space:]]*=", 
				"script", 
				"%00", 
				"expression\(*\)", 
				"src[[:space:]]*=", 
				"document.cookie", 
				"document.location", 
				"document.write", 
				"onAbort[[:space:]]*=", 
				"onBlur[[:space:]]*=", 
				"onChange[[:space:]]*=", 
				"onClick[[:space:]]*=", 
				"onDblClick[[:space:]]*=", 
				"onDragDrop[[:space:]]*=", 
				"onError[[:space:]]*=", 
				"onFocus[[:space:]]*=", 
				"onKeyDown[[:space:]]*=", 
				"onKeyPress[[:space:]]*=", 
				"onKeyUp[[:space:]]*=", 
				"onLoad[[:space:]]*=", 
				"onMouseDown[[:space:]]*=", 
				"onMouseMove[[:space:]]*=", 
				"onMouseOut[[:space:]]*=", 
				"onMouseOver[[:space:]]*=", 
				"onMouseUp[[:space:]]*=", 
				"onMove[[:space:]]*=", 
				"onReset[[:space:]]*=", 
				"onResize[[:space:]]*=", 
				"onSelect[[:space:]]*=", 
				"onSubmit[[:space:]]*=", 
				"onUnload[[:space:]]*=", 
				"location.href[[:space:]]*=", 
			);


$LIST['word'] = array(
				"8억",
				"새끼",
				"개새끼",
				"소새끼",
				"병신",
				"지랄",
				"씨팔",
				"십팔",
				"니기미",
				"찌랄",
				"쌍년",
				"쌍놈",
				"빙신",
				"좆까",
				"니기미",
				"좆같은게",
				"잡놈",
				"벼엉신",
				"바보새끼",
				"씹새끼",
				"씨발",
				"씨팔",
				"시벌",
				"씨벌",
				"떠그랄",
				"좆밥",
				"추천인",
				"추천id",
				"추천아이디",
				"추/천/인",
				"쉐이",
				"등신",
				"싸가지",
				"미친놈",
				"미친넘",
				"찌랄",
				"죽습니다",
				"아님들아",
				"씨밸넘",
				"폰섹",
				"카섹",
				"번섹",
				"조건만남",
				"빠구리",
				"현금",
				"포커",
				"맞고",
				"엔조이파트너",
				"성인화상채팅",
				"화상채팅메신저",
				"성인만남",
				"벙개팅",
				"벙개",
				"공개채팅",
				"비공개채팅",
				"폰팅",
				"전화채팅",
				"문자채팅",
				"1:1채팅",
				"만남",
				"얼짱",
				"번개",
				"급만남",
				"중국여자엔조이",
				"매칭서비스",
				"파트너구함",
				"술집여자구함",
				"만남주선",
				"비밀스러운대화",
				"성인동영상",
				"파트너구함",
				"남자중국엔조이",
				"즉시만남",
				"일대일만남",
				"성인동영상",
				"몸파는여자",
				"동거정보",
				"미녀만남",
				"태국남자파트너",
				"여자중국파트너",
				"여자대딸파트너",
				"러시아여자",
				"sex",
				"섹스",
				"섹파",
				"매춘",
				"애인대행",
				"계약동거",
				"무조건만남",
				"후배위",
				"체위",
				"리얼게임",
				"현찰게임",
				"성인PC",
				"인터넷룰렛게임",
				"현금게임",
				"하룻밤",
				"깊은만남",
				"조건관광",
				"성매매",
			);

$LIST['tag'] = array(
				"<iframe[[:space:]]*",
				"^http://*",
				"^ftp://*",
				"\.\./",
				"\.\.\\\\",
				"<meta[[:space:]]*",
			);


$LIST['filetype'] = array("txt", "jpg", "gif", "mp3", "hwp", "doc", "pdf", "zip", );

/* 내부 변수 초기화 */
kwst_init_page();

/* 내부 변수 초기화 끝 */

/* 요청 변수 처리 */
kwst_clear_submit();

if (isset($_POST['admin_id']))
	$submit['admin_id'] = $_POST['admin_id'];

if (isset($_POST['admin_password']))
	$submit['admin_password'] = $_POST['admin_password'];

if (isset($_POST['admin_repassword']))
	$submit['admin_repassword'] = $_POST['admin_repassword'];

	// 예외 사항 체크
$check['submit'] = array("admin_id", "admin_password", "admin_repassword", );
kwst_check_submit($check['submit']);

if ($submit['admin_password'] != $submit['admin_repassword']) 
	html_msgback("암호와 확인 암호가 같지 않습니다.");

$check['admin_id_length'] = strlen($submit['admin_id']);
kwst_check_length("관리자 아이디", $check['admin_id_length'], 4, 16);

$check['admin_password_length'] = strlen($submit['admin_password']);
kwst_check_length("관리자 암호", $check['admin_password_length'], 8, 32);

/* KWST 기본 정책 생성 */
$_KWST_POLICY['CONFIG']['ADMIN']['MODULE_NAME'] = base64_encode(KWST_BASE_MODULE_NAME);
$_KWST_POLICY['CONFIG']['ADMIN']['ID'] = base64_encode($submit['admin_id']);
$_KWST_POLICY['CONFIG']['ADMIN']['PASSWORD'] = base64_encode(md5(md5($submit['admin_password'])));
$_KWST_POLICY['CONFIG']['ADMIN']['LASTMODIFIED'] = base64_encode(time());
$_KWST_POLICY['CONFIG']['SITE']['BOOL'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['SITE']['CHARSET']['UTF-8'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['SITE']['CHARSET']['eucKR'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['SITE']['CHARSET'][$_SESSION['kwst_site_charset']] = base64_encode("TRUE");
$_KWST_POLICY['CONFIG']['MODE']['ENFORCING'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['MODE']['PERMISSIVE'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['MODE']['DISABLED'] = base64_encode("FALSE"); 
$_KWST_POLICY['CONFIG']['ALERT']['ALERT'] = base64_encode("FALSE"); 
$_KWST_POLICY['CONFIG']['ALERT']['MESSAGE'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['ALERT']['STEALTH'] = base64_encode("FALSE"); 
$_KWST_POLICY['CONFIG']['LOG']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['CONFIG']['LOG']['FILENAME'] = base64_encode("kwst_log.txt");
$_KWST_POLICY['CONFIG']['LOG']['DETAIL'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['LOG']['SIMPLE'] = base64_encode("TRUE");
$_KWST_POLICY['CONFIG']['LOG']['LIST_COUNT'] = base64_encode("20");
$_KWST_POLICY['CONFIG']['LOG']['CHARSET']['UTF-8'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['LOG']['CHARSET']['eucKR'] = base64_encode("FALSE");
$_KWST_POLICY['CONFIG']['LOG']['CHARSET'][$_SESSION['kwst_site_charset']] = base64_encode("TRUE");
$_KWST_POLICY['CONFIG']['TARGET']['GET'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['TARGET']['POST'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['TARGET']['FILE'] = base64_encode("TRUE"); 
$_KWST_POLICY['CONFIG']['TARGET']['COOKIE'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['SQL_INJECTION']['BOOL'] = base64_encode("TRUE"); 
$_KWST_POLICY['POLICY']['XSS']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['WORD']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['TAG']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['IP']['BOOL'] = base64_encode("FALSE");
$_KWST_POLICY['POLICY']['IP']['ALLOW'] = base64_encode("FALSE");
$_KWST_POLICY['POLICY']['IP']['DENY'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['FILENAME']['BOOL'] = base64_encode("FALSE");
$_KWST_POLICY['POLICY']['FILENAME']['ALLOW'] = base64_encode("FALSE");
$_KWST_POLICY['POLICY']['FILENAME']['DENY'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['FILETYPE']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['FILETYPE']['ALLOW'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['FILETYPE']['DENY'] = base64_encode("FALSE");
$_KWST_POLICY['POLICY']['FILESIZE']['BOOL'] = base64_encode("TRUE");
$_KWST_POLICY['POLICY']['FILESIZE']['MIN_SIZE'] = base64_encode("0");
$_KWST_POLICY['POLICY']['FILESIZE']['MAX_SIZE'] = base64_encode(MAX_FILESIZE);

foreach ($LIST['sql_injection'] as $key => $value)
{
	$value = base64_encode($value);
	$_KWST_POLICY['POLICY']['SQL_INJECTION']['LIST'][$key] = $value;
}

foreach ($LIST['word'] as $key => $value)
{
	$value = base64_encode($value);
	$_KWST_POLICY['POLICY']['WORD']['LIST'][$key] = $value;
}

foreach ($LIST['xss'] as $key => $value)
{
	$value = base64_encode($value);
	$_KWST_POLICY['POLICY']['XSS']['LIST'][$key] = $value;
}

foreach ($LIST['tag'] as $key => $value)
{
	$value = base64_encode($value);
	$_KWST_POLICY['POLICY']['TAG']['LIST'][$key] = $value;
}

foreach ($LIST['filetype'] as $key => $value)
{
	$value = base64_encode($value);
	$_KWST_POLICY['POLICY']['FILETYPE']['LIST'][$key] = $value;
}

	// KWST 정책 쓰기
kwst_write_policy();

html_msgmove("설치가 끝났습니다.", "kwst_admin.php");

exit;

/* 설치 끝 */

?>
