<?php 

//@UTF-8 install_step1.php
/*
 * KISA WEB Security Template(KWST) - PHP Version
 * 
 * Author : neodal <mirr1004@gmail.com>
 *
 * Last modified Oct 29 2007
 *
 */

/* 인증 및 설치 검사 예외 페이지 */
$exception['check_installed'] = TRUE;
$exception['check_authorized'] = TRUE;

include_once("kwst_admin_lib.php");

/* 운영체제별 판단 */
$check['os'] = getenv("OS");
if (strstr($check['os'], "Windows")) {
	// 윈도우인 경우 바로 스텝2로 이동
	html_move("install_step2.php");
}

/* 설치 여부 판단 */
if (file_exists("kwst_policy.php"))
	html_msgback("KWST 웹보안템플릿 - PHP 버전이 이미 설치되어 있습니다.");

if (!isset($_SESSION['kwst_install']))
	html_msgmove("install.php 설치 초기 페이지로 접근하십시오.", "install.php");

/* 설치 디렉터리 상태 가져오기 */
$fstat['kwst_dir'] = stat("./");
$fstat['kwst_log'] = stat("./log");

	// 10진수를 8진수로 수정
$fstat['kwst_dir'] = decoct($fstat['kwst_dir']['mode'] & 0000777);
$fstat['kwst_log'] = decoct($fstat['kwst_log']['mode'] & 0000777);

	// 출력 형태 작성 
$print['kwst_dir_perm'] = "(현재상태: <b><font color=\"blue\">".$fstat['kwst_dir']."</font></b>)";
$print['kwst_log_perm'] = "(현재상태: <b><font color=\"blue\">".$fstat['kwst_log']."</font></b>)";

if ($fstat['kwst_dir'] == "707") 
	$print['kwst_dir_perm'] .= " - <font color=\"green\">설정이 완료되었습니다.</font>";
else
	$print['kwst_dir_perm'] .= " - <font color=\"red\">설정이 완료되지 않았습니다.</font>";

if ($fstat['kwst_log'] == "707") 
	$print['kwst_log_perm'] .= " - <font color=\"green\">설정이 완료되었습니다.</font>";
else
	$print['kwst_log_perm'] .= " - <font color=\"red\">설정이 완료되지 않았습니다.</font>";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta http-equiv"=Content-Type" content="text/html; charset=UTF-8">
    <link rel="StyleSheet" HREF="style.css" type="text/css" title="style">
    <title>KWST 웹보안템플릿 - 설치 1단계</title>
  </head>
  <body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" bgcolor="#D0D0D0">
    <script language="javascript">
      function nextstep() {
<?php
/* 다음 단계 버튼 활성화 */
	if ($fstat['kwst_dir'] == "707" && $fstat['kwst_log'] == "707") {
?>
        location.href = "install_step2.php";
<?php
	}
	else {
?>
        alert("권한이 설정되지 않았습니다.");
<?php
	}
?>
      }
    </script>
    <br><br><br>
    <center>
      <table width="600" height="80" cellspacing="0" cellpadding="0" border="0">
        <tr>
          <td width="100%" height="80">
            <img src="img/logo2.gif" border="0" alt="LOGO">
          </td>
        </tr>
        <tr>
          <td>
            <form name="step1">
            <table width="600" cellspacing="1" cellpadding="20" border="0" bgcolor="#000000"
              <tr>
                <td width="100%" bgcolor="#FFFFFF" style="line-height:160%" nowrap>
                  <li><b>설치를 위하여 디렉터리 권한을 체크합니다.</b><br>
                  <br>
                  KWST 웹보안템플릿 설치를 위하여 다음의 디렉터리를 권한 <font color="red"><b>707</b></font>로 설정하십시오.
                  <br>
                  <br>
                  <ul>
                    - KWST 웹보안템플릿을 설치할 디렉터리 <?php echo $print['kwst_dir_perm']?><br>
                    - ./log 디렉터리 <?php echo $print['kwst_log_perm']?><br>
                  </ul>
                  ※ FTP나 텔넷, SSH를 이용하여 권한을 설정하십시오.
                </td>
              </tr>
            </table>
            <br><br>
            <table width="100%" height="1">
              <tr>
                <td width="100%" height="100%" background="img/line_bg.gif"></td>
              </tr>
            </table>
            <input type="button" value="다음 단계로(Next).." class="submit" style="height:20px;" onclick="return nextstep();">
            </form>
          </td>
        </tr>
      </table>
    </center>
  </body>
</html>
